org.minidns.constants

## Enum DnssecConstants.SignatureAlgorithm

- java.lang.Object
- - java.lang.Enum<DnssecConstants.SignatureAlgorithm>
  - - org.minidns.constants.DnssecConstants.SignatureAlgorithm

- All Implemented Interfaces:
    Serializable, Comparable<DnssecConstants.SignatureAlgorithm>
  Enclosing class:
    DnssecConstants

      public static enum DnssecConstants.SignatureAlgorithm
      extends Enum<DnssecConstants.SignatureAlgorithm>

  DNSSEC Signature Algorithms.
  See Also:
    IANA DNSSEC Algorithm Numbers

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DH`
    `DSA`
    `DSA_NSEC3_SHA1`
    `ECC_GOST`
    `ECDSAP256SHA256`
    `ECDSAP384SHA384`
    `INDIRECT`
    `PRIVATEDNS`
    `PRIVATEOID`
    `RSAMD5` Deprecated.
    `RSASHA1`
    `RSASHA1_NSEC3_SHA1`
    `RSASHA256`
    `RSASHA512`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `String` | `description`
    `byte` | `number`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DnssecConstants.SignatureAlgorithm` | `forByte(byte b)`
    `static DnssecConstants.SignatureAlgorithm` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static DnssecConstants.SignatureAlgorithm[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DH

          public static final DnssecConstants.SignatureAlgorithm DH

    - #### DSA

          public static final DnssecConstants.SignatureAlgorithm DSA

    - #### DSA_NSEC3_SHA1

          public static final DnssecConstants.SignatureAlgorithm DSA_NSEC3_SHA1

    - #### ECC_GOST

          public static final DnssecConstants.SignatureAlgorithm ECC_GOST

    - #### ECDSAP256SHA256

          public static final DnssecConstants.SignatureAlgorithm ECDSAP256SHA256

    - #### ECDSAP384SHA384

          public static final DnssecConstants.SignatureAlgorithm ECDSAP384SHA384

    - #### INDIRECT

          public static final DnssecConstants.SignatureAlgorithm INDIRECT

    - #### PRIVATEDNS

          public static final DnssecConstants.SignatureAlgorithm PRIVATEDNS

    - #### PRIVATEOID

          public static final DnssecConstants.SignatureAlgorithm PRIVATEOID

    - #### RSAMD5

          @Deprecated
          public static final DnssecConstants.SignatureAlgorithm RSAMD5

      Deprecated.

    - #### RSASHA1

          public static final DnssecConstants.SignatureAlgorithm RSASHA1

    - #### RSASHA1_NSEC3_SHA1

          public static final DnssecConstants.SignatureAlgorithm RSASHA1_NSEC3_SHA1

    - #### RSASHA256

          public static final DnssecConstants.SignatureAlgorithm RSASHA256

    - #### RSASHA512

          public static final DnssecConstants.SignatureAlgorithm RSASHA512

  - ### Field Detail

    - #### description

          public final String description

    - #### number

          public final byte number

  - ### Method Detail

    - #### forByte

          public static DnssecConstants.SignatureAlgorithm forByte(byte b)

    - #### valueOf

          public static DnssecConstants.SignatureAlgorithm valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### values

          public static DnssecConstants.SignatureAlgorithm[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DnssecConstants.SignatureAlgorithm c : DnssecConstants.SignatureAlgorithm.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared